Payments
Void an authorized payment
Cancels an in-flight or authorized, uncaptured payment for its full amount. Captured payments cannot be voided and must be refunded instead.
Authorization
basic AuthorizationBasic <token>
Basic HTTP authentication
In: header
Path Parameters
id*string
Payment id (UUID v7)
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/payments/string/void"{ "paymentId": "01928e1c-2a4d-7c8e-8b1a-1234567890ab", "status": "VOIDED", "amount": 7200, "cardNumber": "555555xxxxxxxx4444", "cardExpiration": "1133"}{ "statusCode": 400, "error": "Bad Request", "message": [ "amount must not be less than 100" ]}{ "statusCode": 401, "error": "Unauthorized", "message": "Missing Authorization header"}{ "statusCode": 404, "error": "Not Found", "message": "Merchant not found: 01928e1c-2a4d-7c8e-8b1a-1234567890ab"}